Project/src/beans/Evaluation.java
package beans;

import java.io.Serializable;

public class Evaluation implements Serializable{
	private int id;
	private int userId;
	private int shopId;
	private int star;
	private String comment;

	public Evaluation() {

	}

	public Evaluation(int id, int userId, int shopId, int star,String comment) {

		this.id = id;
		this.userId = userId;
		this.shopId = shopId;
		this.star = star;
		this.comment = comment;
	}


	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getShopId() {
		return shopId;
	}
	public void setShopId(int shopId) {
		this.shopId = shopId;
	}
	public int getStar() {
		return star;
	}
	public void setStar(int star) {
		this.star = star;
	}
	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}


}

Project/src/beans/Reservation.java
package beans;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Time;
import java.text.SimpleDateFormat;

public class Reservation implements Serializable{

	private int id;
	private int userId;
	private int shopId;
	private Date reservationDate;
	private Time reservationTime;
	private Date createDate;

	public Reservation() {

	}


	public Reservation(int id,int userId,int shopId,Date reservationDate,Time reservationTime,Date createDate) {

		this.id = id;
		this.userId = userId;
		this.shopId = shopId;
		this.reservationDate = reservationDate;
		this.reservationTime = reservationTime;
		this.createDate = createDate;
	}




	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getShopId() {
		return shopId;
	}
	public void setShopId(int shopId) {
		this.shopId = shopId;
	}

	public Date getReservationDate() {
		return reservationDate;
	}
	public void setReservationDate(Date reservationDate) {
		this.reservationDate = reservationDate;
	}
	public Time getReservationTime() {
		return reservationTime;
	}
	public void setReservationTime(Time reservationTime) {
		this.reservationTime = reservationTime;
	}

	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getFormatDate() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日");
		return sdf.format(reservationDate);
	}
	public String getFormatData1() {
		SimpleDateFormat sdf = new SimpleDateFormat("HH時mm分");
		return sdf.format(reservationTime);
	}

}

Project/src/beans/Shop.java
package beans;

import java.io.Serializable;
import java.sql.Time;
import java.text.SimpleDateFormat;

public class Shop implements Serializable{
	private int id;
	private String name;
	private String address;
	private String phoneNumber;
	private int startPrice;
	private int endPrice;
	private String seatsNumber;
	private String privateRoom;
	private Time startTime;
	private Time endTime;
	private String station;
	private String fileName;
	private int star;
	private String transportation;
	private String fileName2;
	private String fileName3;


	public Shop() {

	}

	public Shop(int startPrice, int endPrice,String station, String fileName,int star) {

		this.startPrice = startPrice;
		this.endPrice = endPrice;
		this.station = station;
		this.fileName = fileName;
		this.star = star;

	}




	public Shop(int id, String name, String address, String phoneNumber, int startPrice, int endPrice,
			String seatsNumber, String privateRoom, Time startTime, Time endTime, String station, String fileName,int star,String transportation,String fileName2,String fileName3) {
		this.id = id;
		this.name = name;
		this.address = address;
		this.phoneNumber = phoneNumber;
		this.startPrice = startPrice;
		this.endPrice = endPrice;
		this.seatsNumber = seatsNumber;
		this.privateRoom = privateRoom;
		this.startTime = startTime;
		this.endTime = endTime;
		this.station = station;
		this.fileName = fileName;
		this.star = star;
		this.transportation = transportation;
		this.fileName2 = fileName2;
		this.fileName3 = fileName3;
	}




	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getPhoneNumber() {
		return phoneNumber;
	}
	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}
	public int getStartPrice() {
		return startPrice;
	}
	public void setStartPrice(int startPrice) {
		this.startPrice = startPrice;
	}
	public int getEndPrice() {
		return endPrice;
	}
	public void setEndPrice(int endPrice) {
		this.endPrice = endPrice;
	}
	public String getSeatsNumber() {
		return seatsNumber;
	}
	public void setSeatsNumber(String seatsNumber) {
		this.seatsNumber = seatsNumber;
	}
	public String getPrivateRoom() {
		return privateRoom;
	}
	public void setPrivateRoom(String privateRoom) {
		this.privateRoom = privateRoom;
	}
	public Time getStartTime() {
		return startTime;
	}
	public void setStartTime(Time startTime) {
		this.startTime = startTime;
	}
	public Time getEndTime() {
		return endTime;
	}
	public void setEndTime(Time endTime) {
		this.endTime = endTime;
	}
	public String getStation() {
		return station;
	}
	public void setStation(String station) {
		this.station = station;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public int getStar() {
		return star;
	}
	public void setStar(int star) {
		this.star = star;
	}
	public String getTransportation() {
		return transportation;
	}

	public void setTransportation(String transportation) {
		this.transportation = transportation;
	}

	public String getFormatData() {
		SimpleDateFormat sdf = new SimpleDateFormat("HH時mm分");
		return sdf.format(startTime);
	}

	public String getFormatData1() {
		SimpleDateFormat sdf = new SimpleDateFormat("HH時mm分");
		return sdf.format(endTime);
	}
	public String getFileName2() {
		return fileName2;
	}

	public void setFileName2(String fileName2) {
		this.fileName2 = fileName2;
	}

	public String getFileName3() {
		return fileName3;
	}

	public void setFileName3(String fileName3) {
		this.fileName3 = fileName3;
	}


}

Project/src/mywebsite/EvaluationServlet.java
package mywebsite;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Shop;
import beans.User;
import dao.EvaluationDAO;

/**
 * Servlet implementation class EvaluationServlet
 */
@WebServlet("/EvaluationServlet")
public class EvaluationServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public EvaluationServlet() {

    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		Shop shop = (Shop) session.getAttribute("shop");

		session.setAttribute("shop", shop);
		String shopid = request.getParameter("id");

		//確認
		System.out.println(shopid);

		request.setAttribute("shopid", shopid);

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/evaluation.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("user");

		// リクエストパラメータの文字コードを指定
				request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得


		String shopid = request.getParameter("shop_id");
		int star = Integer.parseInt(request.getParameter("star"));
		String comment = request.getParameter("comment");

		//daoを実行
				EvaluationDAO evaluationdao = new EvaluationDAO();
				evaluationdao.hyouka(user.getId(),shopid, star, comment);



				//登録成功時の処理
				// 登録完了のサーブレットにリダイレクト
				response.sendRedirect("IndexServlet");






	}

}

Project/src/mywebsite/LoginServlet.java
package mywebsite;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.UserDAO;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")//ログイン
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// ログインセッションがある場合、トップ画面にリダイレクトさせる

				HttpSession session = request.getSession();
				User user = (User) session.getAttribute("user");
				if (user == null) {
					// フォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
					dispatcher.forward(request, response);
					return;
				} else {
					// ユーザ一覧のサーブレットにリダイレクト
					response.sendRedirect("IndexServlet");
					return;
				}

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得

		String username = request.getParameter("userName");
		String password = request.getParameter("password");


		//daoのメソッド実行
		UserDAO userDao = new UserDAO();
		User user = userDao.findByLoginInfo(username, password);




		//ログインIDが存在しない場合
		//ログインIDとパスワードが異なる場合
				if (user == null) {
					// リクエストスコープにエラーメッセージをセット
					request.setAttribute("errMsg", "ログインIDまたはパスワードが異なります。");
					// ログインjspにフォワード
					RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
					dispatcher.forward(request, response);
					return;
				}


				//暗号化
				UserDAO userDao1 = new UserDAO();
				userDao1.seacret(password);

				// テーブルに該当のデータが見つかった場合(ログイン成功時)
				// セッションにユーザの情報をセット
				HttpSession session = request.getSession();
				session.setAttribute("user", user);
				// トップページのサーブレットにリダイレクト
				response.sendRedirect("IndexServlet");



}
}

Project/src/mywebsite/ReservationDoneServlet.java
package mywebsite;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;

/**
 * Servlet implementation class ReservationDoneServlet
 */
@WebServlet("/ReservationDoneServlet")
public class ReservationDoneServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ReservationDoneServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("user");

		session.setAttribute("user", user);

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/reservationDone.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/src/mywebsite/ReservationInputServlet.java
package mywebsite;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.ReservationDAO;

/**
 * Servlet implementation class ReservationInputServlet
 */
@WebServlet("/ReservationInputServlet")//予約入力
public class ReservationInputServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ReservationInputServlet() {

    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String shopid = request.getParameter("id");

		request.setAttribute("shopid", shopid);

		// フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/reservationInput.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("user");



		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");




		// リクエストパラメータの入力項目を取得

		String shopid = request.getParameter("shop_id");
		String reservationDate = request.getParameter("reservationDate");
		String reservationTime = request.getParameter("reservationTime");


		//daoを実行
		ReservationDAO reservationdao = new ReservationDAO();
		reservationdao.yoyaku(user.getId(),shopid,reservationDate,reservationTime);

		//登録成功時の処理
		// 登録完了のサーブレットにリダイレクト
		response.sendRedirect("ReservationDoneServlet");




	}

}

Project/src/mywebsite/ShopDetailsServlet.java
package mywebsite;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Evaluation;
import beans.Shop;
import beans.User;
import dao.EvaluationDAO;
import dao.ShopDAO;

/**
 * Servlet implementation class ShopDetailsServlet
 */
@WebServlet("/ShopDetailsServlet")//店舗詳細
public class ShopDetailsServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ShopDetailsServlet() {


    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		HttpSession session = request.getSession();

		// URLからGETパラメータとしてIDを受け取る
		String id = request.getParameter("id");

		// 確認用：idをコンソールに出力
		System.out.println(id);

		// idを引数にして、idに紐づくユーザ情報を出力する

		ShopDAO shopDao = new ShopDAO();
		Shop shop = shopDao.syousai(id);



		User user = (User) session.getAttribute("user");



		//口コミ一覧の情報を取得
		EvaluationDAO evaluationdao = new EvaluationDAO();
		List<Evaluation> evaluationList = evaluationdao.kutikomi(id);



		//historyを取得
		ArrayList<Shop> history = (ArrayList<Shop>) session.getAttribute("history");


		//セッションにヒストリーがない場合ヒストリーを作成
		if (history == null) {
			history = new ArrayList<Shop>();
			//履歴に追加。
			history.add(shop);

		}else {
			///ヒストリーに入っているものと同じ名前は追加しない
			//ヒストリーをfor文
			 for (Shop shop1 : history) {

				 if(!(shop.getName().equals(shop1.getName())) ) {
					//履歴に追加。
						history.add(shop);
						break;

				 }
				 else if(shop.getName().equals(shop1.getName())) {
					 break;
				 }


			}
		}





			//historyの情報更新
			session.setAttribute("history", history);





		// 店舗情報をリクエストスコープにセットしてjspにフォワード

		request.setAttribute("user", user);
		request.setAttribute("evaluationList", evaluationList);
		request.setAttribute("shop", shop);
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/shopDetails.jsp");
		dispatcher.forward(request, response);


	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

	}

}

Project/WebContent/WEB-INF/jsp/shopDetails.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>店舗詳細画面</title>
           <link rel="stylesheet"
    	    href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
    	    integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
    	    crossorigin="anonymous">
        <link rel="stylesheet" href="style.css" type="text/css"/>

        <link rel="stylesheet" href="css/style.css">

        <link rel="stylesheet" href="css/index.css">

        <link rel="stylesheet" href="css/evaluation.css">

    <style>
            .syousai{
            text-align: center;
        }



    </style>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js" integrity="sha384-q2kxQ16AaE6UbzuKqyBE9/u/KzioAlnx2maXQHiDX9d4/zp8Ok3f+M7DPm+Ib6IU" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.min.js" integrity="sha384-pQQkAEnwaBkjpqZ8RU1fF1AKtTcHJwFl3pblpTlHXybJjHpMYo79HY3hIi4NKxyj" crossorigin="anonymous"></script>

</head>
	<body>
        <!--        ナビゲーション -->
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
    <a class="navbar-brand" href="IndexServlet">肉グルメ</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="UserDataServlet?id=${user.id}">マイページ</a>
        </li>

           </ul>


            </div>
            </div>
            <ul class="nav justify-content-end">
                 <li class="dropdown">
                     <a href="LogoutServlet" class="navbar-link logout-link">ログアウト</a>

                    </li>
            </ul>
        </nav>
        <div class="container">
            <div class="syousai mt-5">
                <h3> 店舗詳細</h3>
            </div>
            <div  style="text-align: right;">
                <a href="ReservationInputServlet?id=${shop.id}" class="link-info">予約はこちらから</a>
            </div>
            <div  style="text-align: right;">
                <a href="EvaluationServlet?id=${shop.id }" class="link-info">評価はこちらから</a>
            </div>
            <br><br><br>
            <p>店舗名:${shop.name}</p>
            <ul>
                <li>評価数: ${shop.star}   <span class="star5_rating" data-rate="${shop.star}"></span></li>
                <li>最寄り駅: ${shop.station}</li>
            </ul>

            <h5>口コミ</h5>
            <c:forEach var="evaluation" items="${evaluationList}" >
	            <ul>
	                <li>${user.name}　:  ${evaluation.comment } </li>
	            </ul>
			</c:forEach>
            <!-- 写真 <img src="img/${shop.fileName}" alt="焼肉" align="top">-->
            <div id="carouselExampleIndicators" class="carousel slide" data-bs-ride="carousel">
  <ol class="carousel-indicators">
    <li data-bs-target="#carouselExampleIndicators" data-bs-slide-to="0" class="active"></li>
    <li data-bs-target="#carouselExampleIndicators" data-bs-slide-to="1"></li>
    <li data-bs-target="#carouselExampleIndicators" data-bs-slide-to="2"></li>
  </ol>
  <div class="carousel-inner">
    <div class="carousel-item active">
      <img src="img/${shop.fileName}" class="d-block w-100" alt="焼肉">
    </div>
    <div class="carousel-item">
      <img src="img/${shop.fileName2}" class="d-block w-100" alt="焼肉2">
    </div>
    <div class="carousel-item">
      <img src="img/${shop.fileName3}" class="d-block w-100" alt="焼肉3">
    </div>
  </div>

  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-bs-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-bs-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="visually-hidden">Next</span>
  </a>

</div>
            <br><br><br>
            <div style="text-align: center">
                <p>店舗詳細情報</p>
            </div>
            <table>
                  <tr>
                    <th>店舗名</th>
                    <td>${shop.name}</td>
                  </tr>
                  <tr>
                    <th>電話番号</th>
                    <td>${shop.phoneNumber}</td>
                  </tr>
                  <tr>
                    <th>住所</th>
                    <td>${shop.address}</td>
                  </tr>
                  <tr>
                    <th>交通手段</th>
                    <td>${shop.transportation}</td>
                  </tr>
                <tr>
                    <th>予算</th>
                    <td>${shop.startPrice}円から${shop.endPrice}円</td>
                  </tr>
                <tr>
                    <th>営業時間</th>
                    <td>${shop.formatData}～${shop.formatData1}</td>
                  </tr>
                <tr>
                    <th>席数</th>
                    <td>${shop.seatsNumber}</td>
                  </tr>
                <tr>
                    <th>個室</th>
                    <td>${shop.privateRoom}</td>
                  </tr>
            </table>
        </div>

	</body>
</html>

Project/WebContent/WEB-INF/jsp/userData.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>会員情報画面</title>
           <link rel="stylesheet"
    	    href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
    	    integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
    	    crossorigin="anonymous">

            <link rel="stylesheet" href="css/userData.css">
</head>
	<body>
<!--        ナビゲーション-->
		<nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container-fluid">
    <a class="navbar-brand" href="IndexServlet">肉グルメ</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">

           </ul>

    </div>
            </div>
            <ul class="nav justify-content-end">
                 <li class="dropdown">
                     <a href="LogoutServlet" class="navbar-link logout-link">ログアウト</a>

                    </li>
            </ul>
        </nav>

        <div class="container">
            <div class="ccc mt-3">
            <h4>会員情報</h4>
            </div>
            <div class="row">
                <div class="col-6">
                <div class="card-group mt-4">
                    <div class="card">
                  <div class="card-body">
                    <label for="name" class="control-label">名前</label>
                   <p>${user.name}</p>
                      <label for="mail" class="control-label">ユーザーネーム(アドレス)</label>
                      <p>${user.userName}</p>
                  </div>
                    </div>
                </div>
                </div>

                <div class="col-4">
                    <div class="mb-5">
                        <h4>予約情報</h4>
                            <table class="table table-borderless">
                              <tr>
                              		<th>店舗ID</th>
                                  	<th>日時</th>
                            　   　	<th>時間</th>


                            　</tr>
                            <c:forEach var="reservation" items="${reservationList}">
                                <tr>
                                	 <td><a href="ShopDetailsServlet?id=${reservation.shopId }">${reservation.id }</a> </td>
                                     <td>${reservation.formatDate }</td>
                            　       <td>${reservation.formatData1 }</td>


                                </tr>
                             </c:forEach>
                            </table>
                    </div>

                </div>
            </div>

<!--            閲覧履歴-->
            <h3 class="mt-4" >閲覧履歴</h3>

            <table class="table table-striped table-hover">
                <tr>
                  <th></th>
                  <th>店名</th>
                  <th>評価数</th>
                </tr>

			<c:forEach var="shop" items="${history}" >
                <tr>
                    <td><a href="ShopDetailsServlet?id=${shop.id}" class="btn-flat-bottom-border">
                          <span>詳細</span></a>
                    </td>
                    <td>${shop.name}</td>
                    <td>
                        <p><span class="star5_rating" data-rate="${shop.star}"></span></p></td>
                </tr>
             </c:forEach>

            </table>



		</div>

	</body>
</html>